function [CL1, CL2, CL3, CL4, CL5, CL6, CL7, CL8, CL9, CL10, CL11, RadC, SpringS]=DvLCoorCableLines(CableMatrix,...
    CabMSub, ChMass, ChaDiam, CableMat, nelem, CM, lchain);
%Origo coordinates
x0=100;

ChaRad=(ChaDiam/2)*4;  
MD=ChMass*10^-6;
MS=CabMSub*10^-6;

CL1=sprintf('NOCOOR coordinates 50001 %.3f %.3f %.3f', x0, CM(1,1), CM(1,2));
CL2=sprintf('                   51001 100 100 0');
CL3=sprintf('#                   %.f %.3f %.3f %.3f', CM(2,3), x0, CM(3,1), CM(3, 2));
CL4=sprintf('#                   %.f %.3f %.3f %.3f', CM(3,3), x0, CM(4,1), CM(4,2));
CL5=sprintf('#                   %.f %.3f %.3f %.3f', CM(4,3), x0, CM(5,1), CM(5,2));
CL6=sprintf('#                   50151 %.3f %.3f %.3f', x0, CableMatrix(6,1), CableMatrix(6,2));
CL7=sprintf('#                   50201 %.3f %.3f %.3f', x0, CableMatrix(7,1), CableMatrix(7,2));
SpringS=sprintf('NOCOOR COORDINATES 120001 100 %.1f 0', CableMatrix(9,1));

RadC=(ChaRad/1000);

CL9=sprintf('ELPROP cable2 pipe %.3f 0.01 2.6 1.4 2.0 0.2 %.8f %.8f %.3f %.3f 0.5 150 150', RadC, MD, MS, RadC*2, RadC*2);
CL10=sprintf('ELPROP cable1 pipe %.3f 0.01 2.6 1.4 2.0 0.2 %.8f %.8f %.3f %.3f 0.5 150 150', RadC, MD, MS, RadC*2, RadC*2);

CL8=sprintf('MATERIAL cabmat2 linear 0.3 1.17e-5 50 800 0 %f %f %f %f %.1f %.1f', CableMat(1,1),...
    CableMat(1,2),CableMat(1,2),CableMat(1,4), CableMat(1,3), CableMat(1,5));
CL11=sprintf('MATERIAL cabmat1 linear 0.3 1.17e-5 50 800 0 %f %f %f %f %.1f %.1f', CableMat(1,1),...
    CableMat(1,2),CableMat(1,2), CableMat(1,4), CableMat(1,3), CableMat(1,5));  
end

 
