%---------------------------------------------------------------------------
%   INPUT VALUES
% Need to specify the masses to study, minimum chain length
% The MATLAB script is set to investigate if the anchor reaches 200 meter depth
% If it is of interest to study a different water depth, this must be altered 
% in the script: DvLRunSIMLAMainFile.m 
%---------------------------------------------------------------------------
%Input values are: 
dpth=1000;              						%Chosen depth, must be a positive number 

masses=[3780, 4890, 6000, 7800, 9900, 15400];	%Anchor masses 
lchain=[550, 577.5, 632.5, 660, 742.5];			%Maximum length of chain

e=2; 											%vessl velocity, 2 or 10;

iline=2;
for i=1:6;
    for j=1:4;
        a=masses(i); 							%Anchor mass
        llchain=200+(50*(j-1)); 				%200 is the minimum chain length 
        [filename, myfolder2]=DvLRunSIMLAMainFile(a, e, dpth, llchain);
    end
end 
