function [AncLine1, AncLine2, AncLine3, AncLine4, AncLine5, AnchMLine1,...
    AnchMLine2, AnchMLine3, y3, z3]=DvLCoorAnchor(A, E, F, a, rhost, rhosw, dpth, e, G1, lchain)

flst=(G1/1.5)/2;
rend=0.5*(G1/1.5)*2;

y0=100;
x0=100;
z0=-lchain;
zc=-lchain+0.2;

%New coordinates
x1=x0-(F/2);
y1=y0-E;
x2=x0+(F/2);
y2=y0-E;

theta=asin(0.2/E);
ang=(40*pi/180)-theta;

y3=y0-cos(ang)*A;
z3=z0+((sin(ang)*A)+0.2);

%Output strings
AncLine1=sprintf('NOCOOR coordinates 40001 %.3f %.3f %.3f', x1, y1, z0);
AncLine2=sprintf('                   40011 %.3f %.3f %.3f', x0, y0, zc);
AncLine3=sprintf('                   40021 %.3f %.3f %.3f', x2, y2, z0);
AncLine4=sprintf('                   40022 %.3f %.3f %.3f', x0, y0, zc);
AncLine5=sprintf('                   40032 %.3f %.3f %.3f', x0, y3, z3);

%Mass of anchor
LAnc=(sqrt((E^2)+(F/2)^2)*2 + A);
anchMassDi=(a/LAnc)/10^6; %
Vo=a/rhost;
Buoy=Vo*rhosw;
anchMassSub=((a-Buoy)/LAnc)*10^-6;

AnchMLine1=sprintf('ELPROP anchor1 pipe %.3f 0.022 1.0 0.1 2.0 0.2 %.8f %.8f %.3f %.3f 0.5',...
 rend, anchMassDi, anchMassSub, rend*2, rend*2);   
AnchMLine2=sprintf('ELPROP anchor11 pipe %.3f 0.022 1.0 0.1 2.0 0.2 %.8f %.8f %.3f %.3f 0.5',...
 rend, anchMassDi, anchMassSub, rend*2, rend*2); 
AnchMLine3=sprintf('ELPROP anchor2 pipe %.2f 0.01 1.0 0.1 2.0 0.2 %.8f %.8f %.2f %.2f 0.5',...
  flst, anchMassDi, anchMassSub, flst*2, flst*2);
end