function [mpffiles, mpffilesnopr, OutPutFold]=DvLcreateMPF(MyFolder2, filename) 
mpffiles=cell(2,1);
mpffilesnopr=cell(2,1);
%-----Creating new directory for output----%
Output='\Output';
OutPutFold=fullfile(MyFolder2, Output);
mkdir(OutPutFold);
RafFile=fullfile(MyFolder2, filename);

%-----Names for output and creates file names----%
prefix='-simpost.spi';
prefix2='-simpost';
prefixmpf='.mpf';
mpffilesnopr{1}='Nodisp-Y';
mpffilesnopr{2}='Nodisp-Z';
 
for  i=1:2;    
    mpff=[mpffilesnopr{i}, prefixmpf];
    mpffiles{i}=fullfile(OutPutFold, mpff);
end

%------- Placing .spi file in correct directory----%
NFOut=[filename, prefix];
NewFileOut=fullfile(OutPutFold, NFOut);
NewFileOut2=[filename, prefix2];

%------Writing .spi file, desired output------%
fout = fopen(NewFileOut, 'wt');
fprintf(fout, 'NOPLOT "%s" "%s" "Time" TIME "Node displacement Y" NODISP-Y 50002 51001 1 1\n', RafFile, mpffilesnopr{1});
fprintf(fout, 'NOPLOT "%s" "%s" "Time" TIME "Node displacement Z" NODISP-Z 50002 51001 1 1\n', RafFile, mpffilesnopr{2});
fclose(fout);

%----Creating execute SIMPOST file----%
BatName='ExecuteSimPost.bat';
ExecuteName=fullfile(MyFolder2, BatName); 
foutne=fopen(BatName, 'wt');
f = strrep(OutPutFold, '\', '\\'); 
cmnd3='pushd ';
fprintf(foutne, '%s %s \n', cmnd3, f);
fprintf(foutne,'"C:\\Marintek\\SIMLA\\bin\\simpost.exe" -n %s', NewFileOut2);
fclose(foutne);

!ExecuteSimPost.bat
end

