function nodepropsanchor=AnchorModelling(G, ChaRad);
rend=0.5*(G/1.5)*2;
rstart=0.025;
deltax=(rend-rstart)/9;
flst=(G/1.5)/2;
%------------------------------------------------------------------%
%      Writes the nodal radius of flukes or shank
%------------------------------------------------------------------%
nodepropsanchor=cell(22,1);
nodepropsanchor{1}=sprintf('NODPROP       40031     %f  0.00', flst);
nodepropsanchor{2}=sprintf('NODPROP       40032    %.3f  0.00', ChaRad);
nodepropsanchor{3}='NODPROP       40001    0.025   0';
values=zeros(20,1);

for i=1:19;
    dispF=rstart+(i*deltax);
    
    if i<9;
        values(i)=dispF;
        nodepropsanchor{i+3}=sprintf('NODPROP     4000%.f      %.3f   0', i+1, dispF);
    elseif i==9;
        values(i)=dispF;
        nodepropsanchor{i+3}=sprintf('NODPROP     400%.f      %.3f   0', i+1, dispF);
    elseif i==10;
        nodepropsanchor{i+3}=sprintf('NODPROP       40021     %.3f  0.00', rstart);
    else i>=11;
        nodepropsanchor{i+3}=sprintf('NODPROP     400%.f      %.3f   0', 31-i, values(i-10));
    end
end

        
   