function [VSLine, SpanLine, RotLine]=ExtraLine(d, e, c);
%------------------------------------------------------------------%
% Writes lines for displacement of top node of chain,
% also writes rotation of pipeline line, and span height
%------------------------------------------------------------------%
Pdisp=(e*0.5144444*5)*10^-3;  
AngRot=(c-90)*pi/180;

VSLine=sprintf('CONSTR PDISP GLOBAL 51001 2 %.5f 520 \n', Pdisp);
SpanLine=sprintf('CONSTR PDISP GLOBAL 10100 3  %.3f  250 repeat 2 1\n', d);
RotLine=sprintf('CONSTR PDISP GLOBAL 10100 6 %.3f 260 repeat 2 1 \n', AngRot); %repeat 2 ganger? 
end