function [DS1, DS2, DS3, DS4, DS5, DS6, DS7, DS8, DS9, DS10, DS11, DS12,...
    DS13, DS14, DS15, DS16, DS17, DSEXTRA]=displacementback(e);
%------------------------------------------------------------------%
% Writes all lines related to displacing anchor chain back
% before onset of vessel velocity
%------------------------------------------------------------------%
	
start=2.5; 
times=zeros(18,1);
newv=zeros(18,1);
for i=1:22;
    times(i)=15+(i-1)*5;
    newv(i)=(start-i+0.5)*10^3;
end
    
if e==2;
    DS1='THIST 520  0.0 0.0';
    DS2='           4.0 0.0';
    disps1='10.0';
    disps2='12.0';
    DS3=sprintf('           %s %.3f\n', disps1, start*10^3);
    DS4=sprintf('           %s %.3f\n', disps2, start*10^3);
    DS5=sprintf('           %.3f %.3f\n', times(1), newv(1));
    DS6=sprintf('           %.3f %.3f\n', times(2), newv(2));
    DS7=sprintf('           %.3f %.3f\n', times(3), newv(3));
    DS8=sprintf('           %.3f %.3f\n', times(4), newv(4));
    DS9=sprintf('           %.3f %.3f\n', times(5), newv(5));
    DS10=sprintf('           %.3f %.3f\n', times(6), newv(6));
    DS11=sprintf('           %.3f %.3f\n', times(7), newv(7));
    DS12=sprintf('           %.3f %.3f\n', times(8), newv(8));
    DS13=sprintf('           %.3f %.3f\n', times(9), newv(9)); 
    DS14=sprintf('           %.3f %.3f\n', times(10), newv(10));
    DS15=sprintf('           %.3f %.3f\n', times(11), newv(11));
    DS16=sprintf('           %.3f %.3f\n', times(12), newv(12));
    DS17=sprintf('           %.3f %.3f\n', times(13), newv(13));
    DS18=sprintf('           %.3f %.3f\n', times(14), newv(14));
    DS19=sprintf('           %.3f %.3f\n', times(15), newv(15));
    DS20=sprintf('           %.3f %.3f\n', times(16), newv(16));
    DS21=sprintf('           %.3f %.3f\n', times(17), newv(17));
    DS22=sprintf('           %.3f %.3f\n', times(22), newv(22));
    DSEXTRA={DS18, DS19, DS20, DS21, DS22};  
else
    DS1=0;
    DS2=0;
    DS3=0;
    DS4=0;
    DS5=0;
    DS6=0;
    DS7=0;
    DS8=0;
    DS9=0;
    DS10=0;
    DS11=0;
    DS12=0;
    DS13=0;
    DS14=0;
    DS15=0;
    DS16=0;
    DS17=0;
    DSEXTRA=0;
end   
end

