function writtenLines=writingLines(NameLine, J, c, e, fid, fout, AncLine1, AncLine2, AncLine3,...
    AncLine4, AncLine5, AnchMLine1, AnchMLine2, AnchMLine3, CL1, CL2, CL3, CL4,...
    CL5, CL6, CL7, CL8, CL9, CL10, CL11, PL1, PL2, PL3, PL4, BCRPL1, BCRPL2, BCRPL3, BCRPL4,...
    ROL1, ROL2, ROL3, ROL4, ROTS, DYNS, SLDS, SLDCN1, SLDCN2, SLDFR1, SLDBC1, SLDBC2, SLDBC3,...
    DYNB1, DYNB2, DYN1, DYN2, DYN3, STATROT, VSLine, SpanLine, RotLine, DYN15, DYN4, DS1,...
    DS2, DS3, DS4, DS5, DS6, DS7, DS8, DS9, DS10, DS11, DS12, DS13, DS14, DS15, DS16, DS17, nodepropsanchor, DSEXTRA);

%------------------------------------------------------------------%
% Writes the .sif files depending on KK. 
% If KK==1, then we get a static analysis .sif.
% KK==2 means a rotation .sif
% KK==3 means a dynamic .sif
% KK==4 means a sliding .sif
%------------------------------------------------------------------%
 
 
 
KK=J;
%-----First IF is common for all analysis----%
for i = 1:407;
    tline = fgetl(fid);
    if i==1;
       tline=fprintf(fout, '%s', NameLine);
    elseif i==20;
       tline=fprintf(fout, '%s', AncLine1);
    elseif i==21;
        tline=fprintf(fout, '%s', AncLine2);
    elseif i==22;
        tline=fprintf(fout, '%s', AncLine3);
    elseif i==23;
        tline=fprintf(fout, '%s', AncLine4);
    elseif i==24;
        tline=fprintf(fout, '%s', AncLine5);
    elseif i==38;
        tline=fprintf(fout, '%s', AnchMLine1);
    elseif i==39;
        tline=fprintf(fout, '%s', AnchMLine2);
    elseif i==40;
        tline=fprintf(fout, '%s', AnchMLine3);
    elseif i==41;
        tline=fprintf(fout, '%s\n', nodepropsanchor{1});
    elseif i==42;
        tline=fprintf(fout, '%s\n', nodepropsanchor{2});
    elseif i==44;
        tline=fprintf(fout, '%s\n', nodepropsanchor{3});
    elseif i==45;
        tline=fprintf(fout, '%s\n', nodepropsanchor{4});
   elseif i==46;
       tline=fprintf(fout, '%s\n', nodepropsanchor{5}); 
    elseif i==47;
        tline=fprintf(fout, '%s\n', nodepropsanchor{6});     
    elseif i==48;
        tline=fprintf(fout, '%s\n', nodepropsanchor{7});
    elseif i==49;
        tline=fprintf(fout, '%s\n', nodepropsanchor{8});
    elseif i==50;
        tline=fprintf(fout, '%s\n', nodepropsanchor{9});
    elseif i==51;
        tline=fprintf(fout, '%s\n', nodepropsanchor{10});
   elseif i==52;
        tline=fprintf(fout, '%s\n', nodepropsanchor{11}); 
    elseif i==53;
        tline=fprintf(fout, '%s\n', nodepropsanchor{12}); 
    elseif i==55;
        tline=fprintf(fout, '%s\n', nodepropsanchor{13});
    elseif i==56;
        tline=fprintf(fout, '%s\n', nodepropsanchor{14});
    elseif i==57;
        tline=fprintf(fout, '%s\n', nodepropsanchor{15});
    elseif i==58;
        tline=fprintf(fout, '%s\n', nodepropsanchor{16});
   elseif i==59;
        tline=fprintf(fout, '%s\n', nodepropsanchor{17}); 
    elseif i==60;
        tline=fprintf(fout, '%s\n', nodepropsanchor{18});     
    elseif i==61;
        tline=fprintf(fout, '%s\n', nodepropsanchor{19});
    elseif i==62;
        tline=fprintf(fout, '%s\n', nodepropsanchor{20});
    elseif i==63;
        tline=fprintf(fout, '%s\n', nodepropsanchor{21});
    elseif i==64;
        tline=fprintf(fout, '%s\n', nodepropsanchor{22});
    elseif i==79;
        tline=fprintf(fout, '%s', CL1);
    elseif i==80;
        tline=fprintf(fout, '%s \n', CL2);
    elseif i==81;
        tline=fprintf(fout, '%s', CL3);
    elseif i==82;
        tline=fprintf(fout, '%s', CL4);
    elseif i==83;
        tline=fprintf(fout, '%s', CL5);
    elseif i==84;
        tline=fprintf(fout, '%s', CL6);
    elseif i==94;
        tline=fprintf(fout, '%s', CL9);
   elseif i==95;
        tline=fprintf(fout, '%s', CL10);
    elseif i==97;
        tline=fprintf(fout, '%s', CL11);
    elseif i==98;
        tline=fprintf(fout, '%s', CL8);
    elseif i==110;
        tline=fprintf(fout, '%s', PL3);
    elseif i==111;
       tline=fprintf(fout, '%s', PL4);
    elseif i==118;
       tline=fprintf(fout, '%s', PL1);
    elseif i==119;
       tline=fprintf(fout, '%s', PL2);
    elseif i==134;
       tline=fprintf(fout, '%s', SpanLine);
    elseif i==135;
       tline=fprintf(fout, '%s', RotLine);
    elseif i==230;
       tline=fprintf(fout, '%s', ROL1);
    elseif i==238;
        tline=fprintf(fout, '%s', ROL2);
    elseif i==246;
       tline=fprintf(fout, '%s',ROL3);
    elseif i==254;
       tline=fprintf(fout, '%s', ROL4);
    elseif i==286;
       tline=fprintf(fout, '%s', VSLine);
    elseif i==334 && e==2;
       tline=fprintf(fout, '%s\n', DS1);
    elseif i==335 && e==2;
       tline=fprintf(fout, '%s\n', DS2);
    elseif i==336 && e==2;
       tline=fprintf(fout, '%s', DS3);
    elseif i==337 && e==2;
        tline=fprintf(fout, '%s', DS4);
    elseif i==338 && e==2;
        tline=fprintf(fout, '%s', DS5); 
    elseif i==339 && e==2;
        tline=fprintf(fout, '%s', DS6);
    elseif i==340 && e==2;
        tline=fprintf(fout, '%s', DS7);
    elseif i==341 && e==2;
        tline=fprintf(fout, '%s', DS8);
    elseif i==342 && e==2;
        tline=fprintf(fout, '%s', DS9);
    elseif i==343 && e==2;
        tline=fprintf(fout, '%s', DS10);
    elseif i==344 && e==2;
        tline=fprintf(fout, '%s', DS11);
    elseif i==345 && e==2;
        tline=fprintf(fout, '%s', DS12);
    elseif i==346 && e==2;
        tline=fprintf(fout, '%s', DS13);
    elseif i==347 && e==2;
        tline=fprintf(fout, '%s', DS14);
   elseif i==348 && e==2;
        tline=fprintf(fout, '%s', DS15);
    elseif i==349 && e==2;
         tline=fprintf(fout, '%s', DS16);
    elseif i==350 && e==2;
         tline=fprintf(fout, '%s', DS17);         
    elseif i==351 && e==2;
         tline=fprintf(fout, '%s', DSEXTRA{1});
    elseif i==352 && e==2;
         tline=fprintf(fout, '%s', DSEXTRA{2});
    elseif i==353 && e==2;
         tline=fprintf(fout, '%s', DSEXTRA{3});
     elseif i==354 && e==2;
         tline=fprintf(fout, '%s', DSEXTRA{4});
     elseif i==355 && e==2;
         tline=fprintf(fout, '%s', DSEXTRA{5});
    else
        t=1;
            
        
%-------------Static analysis-------------%        
        if KK==1;
            if i==75;
                tline=fprintf(fout, '#BONCON GLOBAL 40021 3 \n');
            elseif i==127;
                tline=fprintf(fout, '%s', BCRPL1);
            elseif i==128;
                tline=fprintf(fout, '%s', BCRPL2);
            elseif i==129;
                tline=fprintf(fout, '%s', BCRPL3);
            elseif i==132;
                tline=fprintf(fout, '%s', BCRPL4);
            else 
                fprintf(fout,'%s\n',tline);
            end
%-------------Rotation analysis-----------%
        elseif KK==2;
            if i==6;
                tline=fprintf(fout, '%s', ROTS);
            elseif i==127;
                tline=fprintf(fout, '%s', BCRPL1);
            elseif i==128;
                tline=fprintf(fout, '%s', BCRPL2);
            elseif i==129;
                tline=fprintf(fout, '%s', BCRPL3);
            elseif i==132;
                tline=fprintf(fout, '%s', BCRPL4);
            elseif i==289;
                tline=fprintf(fout, '%s', STATROT);
            else
                fprintf(fout,'%s\n',tline);  
            end
            
%-----------DYNAMIC Analysis-----------%            
        elseif KK==3;
            if i==6;
                tline=fprintf(fout, '%s', DYNS);
            elseif i==73;
                tline=fprintf(fout, '%s', DYNB1);
            elseif i==74;
                tline=fprintf(fout, '%s', DYNB2);
            elseif i==289;
                tline=fprintf(fout, '%s', STATROT);
            elseif i==290;
                tline=fprintf(fout, '%s', DYN1);
            elseif i==291;
                tline=fprintf(fout, '%s', DYN15);
            elseif i==292;
                tline=fprintf(fout, '%s', DYN2);
            elseif i==293;
                   tline=fprintf(fout, '%s', DYN3);
            elseif i==294;
                if e==2 && c==90;
                    tline=fprintf(fout, '%s', DYN4);
                else
                    fprintf(fout, '%s\n',tline);
                end
            else
                fprintf(fout,'%s\n',tline);        
            end  
 
%----------SLIDING analysis------------%            
        else KK==4;
            if i==6;
                tline=fprintf(fout, '%s', SLDS);
            elseif i==30;
                tline=fprintf(fout, '%s', SLDCN1);
            elseif i==72;
                tline=fprintf(fout, '%s', SLDBC1);
            elseif i==73;
                tline=fprintf(fout, '%s', DYNB1);
            elseif i==74;
                tline=fprintf(fout, '%s', DYNB2);
            elseif i==89;
                tline=fprintf(fout, '%s', SLDCN2);    
            elseif i==103;
                tline=fprintf(fout, '%s', SLDBC2);
            elseif i==104;
                tline=fprintf(fout, '%s', SLDBC3);
			elseif i==184;
				tline=fprintf(fout, '%s', SLDFR1)
            elseif i==289;
               tline=fprintf(fout, '%s', STATROT);
            elseif i==290;
                tline=fprintf(fout, '%s', DYN1);
            elseif i==291;
                tline=fprintf(fout, '%s', DYN15);
            elseif i==292;
                tline=fprintf(fout, '%s', DYN2);
            elseif i==293;
                tline=fprintf(fout, '%s', DYN3);
            elseif i==294;
                if e==2;
                    tline=fprintf(fout, '%s', DYN4);
                else
                    fprintf(fout, '%s\n',tline);
                end
            else
                fprintf(fout,'%s\n',tline);        
            end
        end
end
end
fclose(fout)
writtenLines=1;
end